package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.common.enums.ExpireTimeEnum;
import com.zanxiang.common.enums.HttpStatusEnum;
import com.zanxiang.common.enums.SmsTypeEnum;
import com.zanxiang.common.utils.StringUtils;
import com.zanxiang.mybatis.entity.GameUserRole;
import com.zanxiang.mybatis.entity.LogPayCp;
import com.zanxiang.mybatis.mapper.GameUserRoleMapper;
import com.zanxiang.mybatis.mapper.LogPayCpMapper;
import com.zanxiang.sdk.common.constant.RedisKeyConstant;
import com.zanxiang.sdk.common.util.RedisUtil;
import com.zanxiang.sdk.domain.dto.UserDTO;
import com.zanxiang.sdk.domain.params.SmsCheckParam;
import com.zanxiang.sdk.domain.params.SmsSendParam;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.service.GameUserRoleService;
import com.zanxiang.sdk.service.SmsService;
import com.zanxiang.sdk.service.UserService;
import com.zanxiang.sdk.service.UserTokenService;
import com.zanxiangnet.module.sms.pojo.SendResult;
import com.zanxiangnet.module.sms.service.impl.AliSmsService;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Objects;
import java.util.Random;

/**
 * @author : xufeng
 * @time : 2022-07-06
 */
@Slf4j
@Service
public class GameUserRoleImpl extends ServiceImpl<GameUserRoleMapper, GameUserRole> implements GameUserRoleService {

}
