package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 渠道选择信息
 */
@Data
@Builder
public class ChannelChoiceVO {

    /**
     * 渠道id
     */
    @ApiModelProperty(notes = "渠道id")
    private Long id;

    /**
     * 渠道标识
     */
    @ApiModelProperty(notes = "渠道标识")
    private String channelSign;
}
