package com.zanxiang.sdk.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 用户token信息
 */
@Data
public class UserTokenDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * token
     */
    private String token;

    /**
     * 设备类型;mobile,android,iphone,ipad,web,pc,mac,wxapp
     */
    private Integer deviceType;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
