package com.zanxiang.sdk.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-17
 * @description : 用户信息
 */
@Data
public class UserVO {

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    private String username;

    /**
     * 昵称
     */
    @ApiModelProperty(notes = "昵称")
    private String nickname;

    /**
     * 注册手机号
     */
    @ApiModelProperty(notes = "注册手机号")
    private String regMobile;

    /**
     * 注册邮箱
     */
    @ApiModelProperty(notes = "注册邮箱")
    private String regEmail;

    /**
     * 绑定邮箱
     */
    @ApiModelProperty(notes = "绑定邮箱")
    private String email;

    /**
     * 绑定手机号码
     */
    @ApiModelProperty(notes = "绑定手机号码")
    private String mobile;

    /**
     * 头像
     */
    @ApiModelProperty(notes = "头像")
    private String avatar;
}
